<?php
/**
 * FW Food menu 5.1.1
 * @copyright (C) 2020 Fastw3b
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.fastw3b.net/ Official website
 **/

defined( '_JEXEC' ) or die( 'Restricted access' );

class menuViewcss extends JViewLegacy {
	function display($tmpl=null) {
		$this->menu = 'css';
		$model = $this->getModel();
		$this->setLayout('default');
        $this->app = JFactory::getApplication();
		$this->editor = $model->getEditor();
		$this->object = $model->loadObject();
		
		$this->path = JPATH_COMPONENT_SITE.'/assets/css/fwfm-design-styles.css';
		$this->content = file_get_contents($this->path);
		$this->contents = $model->getTmplPluginsCss();
		$this->params = JComponentHelper::getParams('com_fwfoodmenu');
		fwFoodMenuHelper::triggerEvent('onLoadMainMenu', array('com_fwfoodmenu', 'css', $this));
		parent::display($tmpl);
	}
}
